From 0065cda2ab3042c9a8c8d012dcb544e86ffa0b36 Mon Sep 17 00:00:00 2001
From: Thong Kuah <tkuah@gitlab.com>
Date: Tue, 21 Feb 2023 14:02:10 +1300
Subject: [PATCH] Fix db_tasks script not returning error code

Return error exit code if system failed to run
---
 scripts/db_tasks | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/db_tasks b/scripts/db_tasks
index 36040877abf7a..8a742541f3393 100755
--- a/scripts/db_tasks
+++ b/scripts/db_tasks
@@ -14,4 +14,4 @@ cmd = ['bundle', 'exec', 'rake', task, *ARGV]
 
 puts "Running: `#{cmd.join(' ')}`"
 
-system(*cmd)
+exit 1 unless system(*cmd)
-- 
GitLab